# use appimage from https://eqonomize.github.io/downloads.html

%define __os_install_post %{nil}

Name: eqonomize
Version:	1.5.3
Release:	%mkrel 1
License:	GPLv3
Group:	Office
Summary:	Personal Accounting Software
Url:		https://eqonomize.github.io/downloads.html
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
Eqonomize! is a cross-platform personal accounting software, with focus on efficiency
and ease of use for small households. Eqonomize! provides a complete solution, with
bookkeeping by double entry and support for scheduled recurring transactions, security
investments, and budgeting. It gives a clear overview of past and present transactions,
and development of incomes and expenses, with descriptive tables and charts, as well
as an approximation of future account values.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/Eqonomize/eqonomize/releases/download/v%{version}/Eqonomize-%{version}.AppImage
popd

install -Dm 0755 %{_sourcedir}/Eqonomize-%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Mon Nov 21 2022 tex - 1.5.3-1pclos2022
- create pkg
